#!/bin/sh
# Usage: mkalphashadow src.png dest.png

gimp -d -f -i -b -<<PMIG
(let*
  (
    (image (car(file-png-load RUN-NONINTERACTIVE "$1" "$1")))
    (drawable (car(gimp-image-get-active-drawable image)))
  )
  (plug-in-colortoalpha RUN-NONINTERACTIVE image drawable '(255 255 255))
  (file-png-save RUN-NONINTERACTIVE image drawable "$2" "$2" FALSE 9 FALSE FALSE FALSE FALSE FALSE)
)
(gimp-quit 0)
PMIG
