global_settings {
   adc_bailout 0.0039216
   assumed_gamma 1.5
   noise_generator 2
}

light_source {
   <-0.25, 5, -0.25>, rgb <1, 1, 1>
   area_light <3, 0, 0>, <0, 0, 3>, 15, 15
   circular
}

camera {
   //*PMName 1:1 camera
   orthographic
   location <0, 2.2, -5.7>
   sky <0, 1, 0>
   direction <0, 0, 3>
   right <3, 0, 0>
   up <0, 3, 0>
   look_at <0, 0.88, 0>
}

union {
   //*PMName background
   
   plane {
      //*PMName ground
      <0, 0, -1>, 0
      
      pigment {
         color rgb <1, 1, 1>
      }
      scale 1
      rotate x*90
      translate <0, 0, 0>
      
      finish {
         ambient rgb <0.513725, 0.513725, 0.513725>
      }
   }
   
   plane {
      //*PMName wall
      <0, 0, -1>, 0
      
      pigment {
         color rgb <1, 1, 1>
      }
      scale 1
      rotate <0, 0, 0>
      translate <0, 1, 1.5>
      
      finish {
         ambient rgb <1, 1, 1>
      }
   }
}

torus {
   0.5, 0.25
   scale 1
   rotate <360*clock, 0, 720*clock>
   translate y*(0.25+1.25*abs(cos(pi*clock)))
   
   pigment {
      color rgb <1, 0.75, 0>
   }
   
   finish {
      metallic 1
      specular 0.9
      roughness 0.005
      
      reflection {
         rgb <0.54902, 0.54902, 0.54902>
      }
   }
   no_image
}
